[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetEnabled

Sets the value for the Enabled property.

## Declaration

Source position: controls.pp line 1518

`protected procedure TControl.SetEnabled(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the Enabled property.

## Description

Calls EnabledChanging to notify handlers for the chtOnEnabledChanged type. Stores the new value for the property, and performs a CM_ENABLEDCHANGED control message. Calls EnabledChanged to notify handlers for the chtOnEnabledChanged type.

## See also

TControl.Enabled |  | Determines whether the control responds to mouse or keyboard input.